List conference participants
Lists conference participants
GET
/
conferences
/
{conference_id}
/
participants
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const conferenceListParticipantsResponse of client.conferences.listParticipants(
'conference_id',
)) {
console.log(conferenceListParticipantsResponse.id);
}import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
page = client.conferences.list_participants(
conference_id="conference_id",
)
page = page.data[0]
print(page.id)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.Conferences.ListParticipants(
context.TODO(),
"conference_id",
telnyx.ConferenceListParticipantsParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.conferences.ConferenceListParticipantsPage;
import com.telnyx.sdk.models.conferences.ConferenceListParticipantsParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
ConferenceListParticipantsPage page = client.conferences().listParticipants("conference_id");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
page = telnyx.conferences.list_participants("conference_id")
puts(page)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$page = $client->conferences->listParticipants(
'conference_id',
filter: ['muted' => true, 'onHold' => true, 'whispering' => true],
pageNumber: 0,
pageSize: 0,
region: 'Australia',
);
var_dump($page);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx conferences list-participants \
--api-key 'My API Key' \
--conference-id conference_idcurl --request GET \
--url https://api.telnyx.com/v2/conferences/{conference_id}/participants \
--header 'Authorization: Bearer <token>'{
"data": [
{
"record_type": "participant",
"created_at": "2019-01-23T18:10:02.574Z",
"updated_at": "2019-01-23T18:10:02.574Z",
"end_conference_on_exit": true,
"soft_end_conference_on_exit": true,
"status": "joining",
"muted": false,
"on_hold": true,
"call_control_id": "v3:MdI91X4lWFEs7IgbBEOT9M4AigoY08M0WWZFISt1Yw2axZ_IiE4pqg",
"whisper_call_control_ids": [
"v2:Sg1xxxQ_U3ixxxyXT_VDNI3xxxazZdg6Vxxxs4-GNYxxxVaJPOhFMRQ",
"v2:qqpb0mmvd-ovhhBr0BUQQn0fld5jIboaaX3-De0DkqXHzbf8d75xkw"
],
"id": "dfadada7-af74-47bc-83a4-554275f55f5c",
"call_leg_id": "3a15df2d-c801-4729-adf5-b56dd42e2abb",
"conference": {
"id": "41b9acd4-f4da-4ff5-a85c-e07e90b53f46",
"name": "1"
}
}
],
"meta": {
"total_pages": 3,
"total_results": 55,
"page_number": 2,
"page_size": 25
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Uniquely identifies the conference by id
Query Parameters
Region where the conference data is located
Available options:
Australia, Europe, Middle East, US Consolidated page parameter (deepObject style). Originally: page[after], page[before], page[limit], page[size], page[number]
Show child attributes
Show child attributes
Consolidated filter parameter (deepObject style). Originally: filter[muted], filter[on_hold], filter[whispering]
Show child attributes
Show child attributes
Was this page helpful?
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const conferenceListParticipantsResponse of client.conferences.listParticipants(
'conference_id',
)) {
console.log(conferenceListParticipantsResponse.id);
}import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
page = client.conferences.list_participants(
conference_id="conference_id",
)
page = page.data[0]
print(page.id)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.Conferences.ListParticipants(
context.TODO(),
"conference_id",
telnyx.ConferenceListParticipantsParams{},
)
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.conferences.ConferenceListParticipantsPage;
import com.telnyx.sdk.models.conferences.ConferenceListParticipantsParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
ConferenceListParticipantsPage page = client.conferences().listParticipants("conference_id");
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
page = telnyx.conferences.list_participants("conference_id")
puts(page)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$page = $client->conferences->listParticipants(
'conference_id',
filter: ['muted' => true, 'onHold' => true, 'whispering' => true],
pageNumber: 0,
pageSize: 0,
region: 'Australia',
);
var_dump($page);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx conferences list-participants \
--api-key 'My API Key' \
--conference-id conference_idcurl --request GET \
--url https://api.telnyx.com/v2/conferences/{conference_id}/participants \
--header 'Authorization: Bearer <token>'{
"data": [
{
"record_type": "participant",
"created_at": "2019-01-23T18:10:02.574Z",
"updated_at": "2019-01-23T18:10:02.574Z",
"end_conference_on_exit": true,
"soft_end_conference_on_exit": true,
"status": "joining",
"muted": false,
"on_hold": true,
"call_control_id": "v3:MdI91X4lWFEs7IgbBEOT9M4AigoY08M0WWZFISt1Yw2axZ_IiE4pqg",
"whisper_call_control_ids": [
"v2:Sg1xxxQ_U3ixxxyXT_VDNI3xxxazZdg6Vxxxs4-GNYxxxVaJPOhFMRQ",
"v2:qqpb0mmvd-ovhhBr0BUQQn0fld5jIboaaX3-De0DkqXHzbf8d75xkw"
],
"id": "dfadada7-af74-47bc-83a4-554275f55f5c",
"call_leg_id": "3a15df2d-c801-4729-adf5-b56dd42e2abb",
"conference": {
"id": "41b9acd4-f4da-4ff5-a85c-e07e90b53f46",
"name": "1"
}
}
],
"meta": {
"total_pages": 3,
"total_results": 55,
"page_number": 2,
"page_size": 25
}
}